#include <stdio.h>

#include "./event.h"

Event mouse_click_event(int x, int y) {
  Event e;
  e.type = ET_MOUSE_CLICK;
  e.value.as_mouse_pos.x = x;
  e.value.as_mouse_pos.y = y;
  return e;
}

Event key_press_event(char key) {
  Event e;
  e.type = ET_KEY_PRESS;
  e.value.as_key = key;
  return e;
}

void print_event(Event e) {
  switch (e.type) {
    case ET_MOUSE_CLICK:
      printf("Mouse clicked at (%d, %d).\n", e.value.as_mouse_pos.x, e.value.as_mouse_pos.y);
      break;
    case ET_KEY_PRESS:
      printf("Key '%c' pressed.\n", e.value.as_key);
      break;
  }
}
