#ifndef EVENT_H
#define EVENT_H

typedef struct Int2 {
  int x;
  int y;
} Int2;

typedef enum EventType {
  ET_MOUSE_CLICK,
  ET_KEY_PRESS
} EventType;

typedef struct Event {
  EventType type;
  union {
    Int2 as_mouse_pos;
    char as_key;
  } value;
} Event;

Event mouse_click_event(int x, int y);
Event key_press_event(char key);

void print_event(Event e);

#endif
